Conversations
Get a conversation item
Retrieves a specific item from the specified conversation.
Path parameters
conversation_id
string
required
The ID of the conversation that contains the item.
item_id
string
required
The id of the conversation item to retrieve.
Header parameters
x-ms-user-identity
string
Opaque per-user identity string used to scope endpoint-scoped data to a specific end user. The caller must have the agents/endpoints/UserIdentityImpersonation/action RBAC permission.
Responses
The request has succeeded.
Body
structured_outputs
StructuredOutputsOutputItem
type
enum
required
output
StructuredOutputsOutputItem
required
The structured output captured during the response.
workflow_action
WorkflowActionOutputItem
type
enum
required
kind
string
required
The kind of CSDL action (e.g., 'SetVariable', 'InvokeAzureAgent').
action_id
string
required
Unique identifier for the action.
parent_action_id
string
ID of the parent action if this is a nested action.
previous_action_id
string
ID of the previous action if this action follows another.
status
enum
required
Status of the action (e.g., 'in_progress', 'completed', 'failed', 'cancelled').
oauth_consent_request
OAuthConsentRequestOutputItem
Request from the service for the user to perform OAuth consent.
type
enum
required
consent_link
string
required
The link the user can use to perform OAuth consent.
server_label
string
required
The server label for the OAuth consent request.
bing_grounding_call
BingGroundingToolCall
A Bing grounding tool call.
type
enum
required
call_id
string
required
The unique ID of the tool call generated by the model.
arguments
string
required
A JSON string of the arguments to pass to the tool.
status
enum
required
The status of a tool call.
bing_grounding_call_output
BingGroundingToolCallOutput
The output of a Bing grounding tool call.
type
enum
required
call_id
string
required
The unique ID of the tool call generated by the model.
output
object | string | any[]
The output content from a tool call, which can be a dictionary, string, or array.
status
enum
required
The status of a tool call.
sharepoint_grounding_preview_call
SharepointGroundingToolCall
A SharePoint grounding tool call.
type
enum
required
call_id
string
required
The unique ID of the tool call generated by the model.
arguments
string
required
A JSON string of the arguments to pass to the tool.
status
enum
required
The status of a tool call.
sharepoint_grounding_preview_call_output
SharepointGroundingToolCallOutput
The output of a SharePoint grounding tool call.
type
enum
required
call_id
string
required
The unique ID of the tool call generated by the model.
output
object | string | any[]
The output content from a tool call, which can be a dictionary, string, or array.
status
enum
required
The status of a tool call.
azure_ai_search_call
AzureAISearchToolCall
An Azure AI Search tool call.
type
enum
required
call_id
string
required
The unique ID of the tool call generated by the model.
arguments
string
required
A JSON string of the arguments to pass to the tool.
status
enum
required
The status of a tool call.
azure_ai_search_call_output
AzureAISearchToolCallOutput
The output of an Azure AI Search tool call.
type
enum
required
call_id
string
required
The unique ID of the tool call generated by the model.
output
object | string | any[]
The output content from a tool call, which can be a dictionary, string, or array.
status
enum
required
The status of a tool call.
bing_custom_search_preview_call
BingCustomSearchToolCall
A Bing custom search tool call.
type
enum
required
call_id
string
required
The unique ID of the tool call generated by the model.
arguments
string
required
A JSON string of the arguments to pass to the tool.
status
enum
required
The status of a tool call.
bing_custom_search_preview_call_output
BingCustomSearchToolCallOutput
The output of a Bing custom search tool call.
type
enum
required
call_id
string
required
The unique ID of the tool call generated by the model.
output
object | string | any[]
The output content from a tool call, which can be a dictionary, string, or array.
status
enum
required
The status of a tool call.
openapi_call
OpenApiToolCall
An OpenAPI tool call.
type
enum
required
call_id
string
required
The unique ID of the tool call generated by the model.
name
string
required
The name of the OpenAPI operation being called.
arguments
string
required
A JSON string of the arguments to pass to the tool.
status
enum
required
The status of a tool call.
openapi_call_output
OpenApiToolCallOutput
The output of an OpenAPI tool call.
type
enum
required
call_id
string
required
The unique ID of the tool call generated by the model.
name
string
required
The name of the OpenAPI operation that was called.
output
object | string | any[]
The output content from a tool call, which can be a dictionary, string, or array.
status
enum
required
The status of a tool call.
browser_automation_preview_call
BrowserAutomationToolCall
A browser automation tool call.
type
enum
required
call_id
string
required
The unique ID of the tool call generated by the model.
arguments
string
required
A JSON string of the arguments to pass to the tool.
status
enum
required
The status of a tool call.
browser_automation_preview_call_output
BrowserAutomationToolCallOutput
The output of a browser automation tool call.
type
enum
required
call_id
string
required
The unique ID of the tool call generated by the model.
output
object | string | any[]
The output content from a tool call, which can be a dictionary, string, or array.
status
enum
required
The status of a tool call.
fabric_dataagent_preview_call
FabricDataAgentToolCall
A Fabric data agent tool call.
type
enum
required
call_id
string
required
The unique ID of the tool call generated by the model.
arguments
string
required
A JSON string of the arguments to pass to the tool.
status
enum
required
The status of a tool call.
fabric_dataagent_preview_call_output
FabricDataAgentToolCallOutput
The output of a Fabric data agent tool call.
type
enum
required
call_id
string
required
The unique ID of the tool call generated by the model.
output
object | string | any[]
The output content from a tool call, which can be a dictionary, string, or array.
status
enum
required
The status of a tool call.
azure_function_call
AzureFunctionToolCall
An Azure Function tool call.
type
enum
required
call_id
string
required
The unique ID of the tool call generated by the model.
name
string
required
The name of the Azure Function being called.
arguments
string
required
A JSON string of the arguments to pass to the tool.
status
enum
required
The status of a tool call.
azure_function_call_output
AzureFunctionToolCallOutput
The output of an Azure Function tool call.
type
enum
required
call_id
string
required
The unique ID of the tool call generated by the model.
name
string
required
The name of the Azure Function that was called.
output
object | string | any[]
The output content from a tool call, which can be a dictionary, string, or array.
status
enum
required
The status of a tool call.
a2a_preview_call
A2AToolCall
An A2A (Agent-to-Agent) tool call.
type
enum
required
call_id
string
required
The unique ID of the tool call generated by the model.
name
string
required
The name of the A2A agent card being called.
arguments
string
required
A JSON string of the arguments to pass to the tool.
status
enum
required
The status of a tool call.
a2a_preview_call_output
A2AToolCallOutput
The output of an A2A (Agent-to-Agent) tool call.
type
enum
required
call_id
string
required
The unique ID of the tool call generated by the model.
name
string
required
The name of the A2A agent card that was called.
output
object | string | any[]
The output content from a tool call, which can be a dictionary, string, or array.
status
enum
required
The status of a tool call.
memory_search_call
MemorySearchToolCall
A memory search tool call.
type
enum
required
status
enum
required
The status of a tool call.
memories
MemoryItem[] | null
The results returned from the memory search.
memory_command_preview_call
MemoryCommandToolCall
A memory command tool call.
type
enum
required
call_id
string
required
The unique ID of the tool call generated by the model.
arguments
string
required
A JSON string of the arguments to pass to the tool, including action (remember or forget) and content.
status
enum
required
The status of a tool call.
memory_command_preview_call_output
MemoryCommandToolCallOutput
The output of a memory command tool call.
type
enum
required
call_id
string
required
The unique ID of the tool call generated by the model.
status
enum
required
The status of a tool call.
output_message
OpenAI.OutputItemOutputMessage
An output message from the model.
id
string
required
The unique ID of the output message.
type
enum
required
The type of the output message. Always message.
role
enum
required
The role of the output message. Always assistant.
content
OpenAI.OutputMessageContent[]
required
The content of the output message.
phase
enum
Labels an assistant message as intermediate commentary (commentary) or the final answer (final_answer). For models like gpt-5.3-codex and beyond, when sending follow-up requests, preserve and resend phase on all assistant messages — dropping it can degrade performance. Not used for user messages.
status
enum
required
The status of the message input. One of in_progress, completed, or incomplete. Populated when input items are returned via API.
file_search_call
OpenAI.OutputItemFileSearchToolCall
The results of a file search tool call. See the file search guide for more information.
id
string
required
The unique ID of the file search tool call.
type
enum
required
The type of the file search tool call. Always file_search_call.
status
enum
required
The status of the file search tool call. One of in_progress, searching, incomplete or failed,
queries
string[]
required
The queries used to search for files.
function_call
OpenAI.OutputItemFunctionToolCall
A tool call to run a function. See the function calling guide for more information.
id
string
required
The unique ID of the function tool call.
type
enum
required
The type of the function tool call. Always function_call.
call_id
string
required
The unique ID of the function tool call generated by the model.
caller
direct | program | null
The execution context that produced this tool call.
direct
OpenAI.DirectToolCallCaller
type
enum
required
program
OpenAI.ProgramToolCallCaller
type
enum
required
caller_id
string
required
The call ID of the program item that produced this tool call.
namespace
string
The namespace of the function to run.
name
string
required
The name of the function to run.
arguments
string
required
A JSON string of the arguments to pass to the function.
status
enum
The status of the item. One of in_progress, completed, or incomplete. Populated when items are returned via API.
async
boolean
Whether the function tool call runs asynchronously.
function_call_output
OpenAI.OutputItemFunctionToolCallOutput
The output of a function tool call.
id
string
required
The unique ID of the function tool call output. Populated when this item is returned via API.
type
enum
required
The type of the function tool call output. Always function_call_output.
call_id
string
The unique ID of the function tool call generated by the model.
name
string
The name of the tool that produced the output.
namespace
string
The namespace of the tool that produced the output.
caller
direct | program | null
The execution context that produced this tool call.
direct
OpenAI.DirectToolCallCallerParam
type
enum
required
The caller type. Always direct.
program
OpenAI.ProgramToolCallCallerParam
type
enum
required
The caller type. Always program.
caller_id
string
required
The call ID of the program item that produced this tool call.
output
string | OpenAI.FunctionAndCustomToolCallOutput[]
required
The output from the function call generated by your code. Can be a string or an list of output content.
status
enum
The status of the item. One of in_progress, completed, or incomplete. Populated when items are returned via API.
web_search_call
OpenAI.OutputItemWebSearchToolCall
The results of a web search tool call. See the web search guide for more information.
id
string
required
The unique ID of the web search tool call.
type
enum
required
The type of the web search tool call. Always web_search_call.
status
enum
required
action
OpenAI.WebSearchActionSearch | OpenAI.WebSearchActionOpenPage | OpenAI.WebSearchActionFind
An object describing the specific action taken in this web search call. Includes details on how the model used the web (search, open_page, find_in_page).
type
enum
required
The action type.
query
string
The search query.
queries
string[]
The search queries.
sources
OpenAI.WebSearchActionSearchSources[]
The sources used in the search.
type
enum
required
The action type.
url
string | null
The URL opened by the model.
type
enum
required
The action type.
url
string | null
The URL of the page searched for the pattern, when available.
pattern
string
required
The pattern or text to search for within the page.
computer_call
OpenAI.OutputItemComputerToolCall
A tool call to a computer use tool. See the computer use guide for more information.
type
enum
required
The type of the computer call. Always computer_call.
id
string
required
The unique ID of the computer call.
call_id
string
required
An identifier used when responding to the tool call with output.
action
click | double_click | drag | keypress | move | screenshot | scroll | type | wait
click
OpenAI.ClickParam
A click action.
type
enum
required
Specifies the event type. For a click action, this property is always click.
button
enum
required
double_click
OpenAI.DoubleClickAction
A double click action.
type
enum
required
Specifies the event type. For a double click action, this property is always set to double_click.
drag
OpenAI.DragParam
A drag action.
type
enum
required
Specifies the event type. For a drag action, this property is always set to drag.
path
OpenAI.CoordParam[]
required
An array of coordinates representing the path of the drag action. Coordinates will appear as an array of objects, eg [ { x: 100, y: 200 }, { x: 200, y: 300 } ]
keypress
OpenAI.KeyPressAction
A collection of keypresses the model would like to perform.
type
enum
required
Specifies the event type. For a keypress action, this property is always set to keypress.
keys
string[]
required
The combination of keys the model is requesting to be pressed. This is an array of strings, each representing a key.
move
OpenAI.MoveParam
A mouse move action.
type
enum
required
Specifies the event type. For a move action, this property is always set to move.
screenshot
OpenAI.ScreenshotParam
A screenshot action.
type
enum
required
Specifies the event type. For a screenshot action, this property is always set to screenshot.
scroll
OpenAI.ScrollParam
A scroll action.
type
enum
required
Specifies the event type. For a scroll action, this property is always set to scroll.
type
OpenAI.TypeParam
An action to type in text.
type
enum
required
Specifies the event type. For a type action, this property is always set to type.
text
string
required
The text to type.
wait
OpenAI.WaitParam
A wait action.
type
enum
required
Specifies the event type. For a wait action, this property is always set to wait.
actions
OpenAI.ComputerAction[]
Flattened batched actions for computer_use. Each action includes an type discriminator and action-specific fields.
pending_safety_checks
OpenAI.ComputerCallSafetyCheckParam[]
required
The pending safety checks for the computer call.
status
enum
required
The status of the item. One of in_progress, completed, or incomplete. Populated when items are returned via API.
computer_call_output
OpenAI.OutputItemComputerToolCallOutput
The output of a computer tool call.
type
enum
required
The type of the computer tool call output. Always computer_call_output.
id
string
required
The ID of the computer tool call output.
call_id
string
required
The ID of the computer tool call that produced the output.
acknowledged_safety_checks
OpenAI.ComputerCallSafetyCheckParam[]
The safety checks reported by the API that have been acknowledged by the developer.
output
OpenAI.ComputerScreenshotImage
required
A computer screenshot image used with the computer use tool.
type
enum
required
Specifies the event type. For a computer screenshot, this property is always set to computer_screenshot.
image_url
string
The URL of the screenshot image.
file_id
string
The identifier of an uploaded file that contains the screenshot.
status
enum
The status of the message input. One of in_progress, completed, or incomplete. Populated when input items are returned via API.
reasoning
OpenAI.OutputItemReasoningItem
A description of the chain of thought used by a reasoning model while generating a response. Be sure to include these items in your input to the Responses API for subsequent turns of a conversation if you are manually managing context.
type
enum
required
The type of the object. Always reasoning.
id
string
required
The unique identifier of the reasoning content.
summary
OpenAI.SummaryTextContent[]
required
Reasoning summary content.
content
OpenAI.ReasoningTextContent[]
Reasoning text content.
status
enum
The status of the item. One of in_progress, completed, or incomplete. Populated when items are returned via API.
program
OpenAI.OutputItemProgram
type
enum
required
The type of the item. Always program.
id
string
required
The unique ID of the program item.
call_id
string
required
The stable call ID of the program item.
code
string
required
The JavaScript source executed by programmatic tool calling.
fingerprint
string
required
Opaque program replay fingerprint that must be round-tripped.
program_output
OpenAI.OutputItemProgramOutput
type
enum
required
The type of the item. Always program_output.
id
string
required
The unique ID of the program output item.
call_id
string
required
The call ID of the program item.
result
string
required
The result produced by the program item.
status
enum
required
tool_search_call
OpenAI.OutputItemToolSearchCall
type
enum
required
The type of the item. Always tool_search_call.
id
string
required
The unique ID of the tool search call item.
execution
enum
required
arguments
OpenAI.OutputItemToolSearchCall
required
Arguments used for the tool search call.
status
enum
required
created_by
string
The identifier of the actor that created the item.
tool_search_output
OpenAI.OutputItemToolSearchOutput
type
enum
required
The type of the item. Always tool_search_output.
id
string
required
The unique ID of the tool search output item.
execution
enum
required
tools
OpenAI.Tool[]
required
The loaded tool definitions returned by tool search.
status
enum
required
created_by
string
The identifier of the actor that created the item.
additional_tools
OpenAI.OutputItemAdditionalTools
type
enum
required
The type of the item. Always additional_tools.
id
string
required
The unique ID of the additional tools item.
role
enum
required
tools
OpenAI.Tool[]
required
The additional tool definitions made available at this item.
compaction
OpenAI.OutputItemCompactionBody
A compaction item generated by the v1/responses/compact API.
type
enum
required
The type of the item. Always compaction.
id
string
required
The unique ID of the compaction item.
encrypted_content
string
required
The encrypted content that was produced by compaction.
created_by
string
The identifier of the actor that created the item.
image_generation_call
OpenAI.OutputItemImageGenToolCall
An image generation request made by the model.
type
enum
required
The type of the image generation call. Always image_generation_call.
id
string
required
The unique ID of the image generation call.
status
enum
required
The status of the image generation call.
error
OpenAI.ImageGenToolCallError
type
string
required
The error type.
message
string
required
A description of the error.
moderation_details
OpenAI.ImageGenToolCallModerationDetails
moderation_stage
enum
required
The stage where moderation blocked the image generation call.
categories
string[]
required
Public moderation categories. New category values may be added over time.
size
string | enum | null
enum
quality
enum
action
enum
background
enum
output_format
enum
code_interpreter_call
OpenAI.OutputItemCodeInterpreterToolCall
A tool call to run code.
type
enum
required
The type of the code interpreter tool call. Always code_interpreter_call.
id
string
required
The unique ID of the code interpreter tool call.
status
enum
required
The status of the code interpreter tool call. Valid values are in_progress, completed, incomplete, interpreting, and failed.
container_id
string
required
The ID of the container used to run the code.
local_shell_call
OpenAI.OutputItemLocalShellToolCall
A tool call to run a command on the local shell.
type
enum
required
The type of the local shell call. Always local_shell_call.
id
string
required
The unique ID of the local shell call.
call_id
string
required
The unique ID of the local shell tool call generated by the model.
action
OpenAI.LocalShellExecAction
required
Execute a shell command on the server.
type
enum
required
The type of the local shell action. Always exec.
command
string[]
required
The command to run.
env
object
required
Environment variables to set for the command.
status
enum
required
The status of the local shell call.
local_shell_call_output
OpenAI.OutputItemLocalShellToolCallOutput
The output of a local shell tool call.
type
enum
required
The type of the local shell tool call output. Always local_shell_call_output.
id
string
required
The unique ID of the local shell tool call generated by the model.
output
string
required
A JSON string of the output of the local shell tool call.
status
enum
shell_call
OpenAI.OutputItemFunctionShellCall
A tool call that executes one or more shell commands in a managed environment.
type
enum
required
The type of the item. Always shell_call.
id
string
required
The unique ID of the shell tool call. Populated when this item is returned via API.
call_id
string
required
The unique ID of the shell tool call generated by the model.
caller
direct | program | null
The execution context that produced this tool call.
direct
OpenAI.DirectToolCallCaller
type
enum
required
program
OpenAI.ProgramToolCallCaller
type
enum
required
caller_id
string
required
The call ID of the program item that produced this tool call.
action
OpenAI.FunctionShellAction
required
Execute a shell command.
status
enum
required
environment
local | container_reference | null
required
local
OpenAI.LocalEnvironmentResource
Represents the use of a local environment to perform shell actions.
type
enum
required
The environment type. Always local.
container_reference
OpenAI.ContainerReferenceResource
Represents a container created with /v1/containers.
type
enum
required
The environment type. Always container_reference.
created_by
string
The ID of the entity that created this tool call.
shell_call_output
OpenAI.OutputItemFunctionShellCallOutput
The output of a shell tool call that was emitted.
type
enum
required
The type of the shell call output. Always shell_call_output.
id
string
required
The unique ID of the shell call output. Populated when this item is returned via API.
call_id
string
required
The unique ID of the shell tool call generated by the model.
caller
direct | program | null
The execution context that produced this tool call.
direct
OpenAI.DirectToolCallCaller
type
enum
required
program
OpenAI.ProgramToolCallCaller
type
enum
required
caller_id
string
required
The call ID of the program item that produced this tool call.
status
enum
required
output
OpenAI.FunctionShellCallOutputContent[]
required
An array of shell call output contents
created_by
string
The identifier of the actor that created the item.
apply_patch_call
OpenAI.OutputItemApplyPatchToolCall
A tool call that applies file diffs by creating, deleting, or updating files.
type
enum
required
The type of the item. Always apply_patch_call.
id
string
required
The unique ID of the apply patch tool call. Populated when this item is returned via API.
call_id
string
required
The unique ID of the apply patch tool call generated by the model.
caller
direct | program | null
The execution context that produced this tool call.
direct
OpenAI.DirectToolCallCaller
type
enum
required
program
OpenAI.ProgramToolCallCaller
type
enum
required
caller_id
string
required
The call ID of the program item that produced this tool call.
status
enum
required
operation
create_file | delete_file | update_file
required
One of the create_file, delete_file, or update_file operations applied via apply_patch.
create_file
OpenAI.ApplyPatchCreateFileOperation
Instruction describing how to create a file via the apply_patch tool.
type
enum
required
Create a new file with the provided diff.
path
string
required
Path of the file to create.
diff
string
required
Diff to apply.
delete_file
OpenAI.ApplyPatchDeleteFileOperation
Instruction describing how to delete a file via the apply_patch tool.
type
enum
required
Delete the specified file.
path
string
required
Path of the file to delete.
update_file
OpenAI.ApplyPatchUpdateFileOperation
Instruction describing how to update a file via the apply_patch tool.
type
enum
required
Update an existing file with the provided diff.
path
string
required
Path of the file to update.
diff
string
required
Diff to apply.
created_by
string
The ID of the entity that created this tool call.
apply_patch_call_output
OpenAI.OutputItemApplyPatchToolCallOutput
The output emitted by an apply patch tool call.
type
enum
required
The type of the item. Always apply_patch_call_output.
id
string
required
The unique ID of the apply patch tool call output. Populated when this item is returned via API.
call_id
string
required
The unique ID of the apply patch tool call generated by the model.
caller
direct | program | null
The execution context that produced this tool call.
direct
OpenAI.DirectToolCallCaller
type
enum
required
program
OpenAI.ProgramToolCallCaller
type
enum
required
caller_id
string
required
The call ID of the program item that produced this tool call.
status
enum
required
created_by
string
The ID of the entity that created this tool call output.
mcp_call
OpenAI.OutputItemMcpToolCall
An invocation of a tool on an MCP server.
type
enum
required
The type of the item. Always mcp_call.
id
string
required
The unique ID of the tool call.
server_label
string
required
The label of the MCP server running the tool.
name
string
required
The name of the tool that was run.
arguments
string
required
A JSON string of the arguments passed to the tool.
error
object
The error from the tool call, if any.
status
enum
mcp_list_tools
OpenAI.OutputItemMcpListTools
A list of tools available on an MCP server.
type
enum
required
The type of the item. Always mcp_list_tools.
id
string
required
The unique ID of the list.
server_label
string
required
The label of the MCP server.
tools
OpenAI.MCPListToolsTool[]
required
The tools available on the server.
error
protocol_error | tool_execution_error | http_error
protocol_error
OpenAI.RealtimeMCPProtocolError
type
enum
required
tool_execution_error
OpenAI.RealtimeMCPToolExecutionError
type
enum
required
http_error
OpenAI.RealtimeMCPHTTPError
type
enum
required
mcp_approval_request
OpenAI.OutputItemMcpApprovalRequest
A request for human approval of a tool invocation.
type
enum
required
The type of the item. Always mcp_approval_request.
id
string
required
The unique ID of the approval request.
server_label
string
required
The label of the MCP server making the request.
name
string
required
The name of the tool to run.
arguments
string
required
A JSON string of arguments for the tool.
mcp_approval_response
OpenAI.OutputItemMcpApprovalResponseResource
A response to an MCP approval request.
type
enum
required
The type of the item. Always mcp_approval_response.
id
string
required
The unique ID of the approval response
approval_request_id
string
required
The ID of the approval request being answered.
approve
boolean
required
Whether the request was approved.
custom_tool_call
OpenAI.OutputItemCustomToolCallResource
type
enum
required
The type of the custom tool call. Always custom_tool_call.
id
string
The unique ID of the custom tool call in the OpenAI platform.
call_id
string
required
An identifier used to map this custom tool call to a tool call output.
caller
direct | program | null
The execution context that produced this tool call.
direct
OpenAI.DirectToolCallCaller
type
enum
required
program
OpenAI.ProgramToolCallCaller
type
enum
required
caller_id
string
required
The call ID of the program item that produced this tool call.
namespace
string
The namespace of the custom tool being called.
name
string
required
The name of the custom tool being called.
input
string
required
The input for the custom tool call generated by the model.
async
boolean
Whether the custom tool call runs asynchronously.
status
enum
required
created_by
string
The identifier of the actor that created the item.
custom_tool_call_output
OpenAI.OutputItemCustomToolCallOutputResource
type
enum
required
The type of the custom tool call output. Always custom_tool_call_output.
id
string
The unique ID of the custom tool call output in the OpenAI platform.
call_id
string
required
The call ID, used to map this custom tool call output to a custom tool call.
caller
direct | program | null
The execution context that produced this tool call.
direct
OpenAI.DirectToolCallCallerParam
type
enum
required
The caller type. Always direct.
program
OpenAI.ProgramToolCallCallerParam
type
enum
required
The caller type. Always program.
caller_id
string
required
The call ID of the program item that produced this tool call.
output
string | OpenAI.FunctionAndCustomToolCallOutput[]
required
The output from the custom tool call generated by your code. Can be a string or an list of output content.
status
enum
required
created_by
string
The identifier of the actor that created the item.
Request
curl https://api.openai.com/v1/conversations/conv_123/items/msg_abc \
-H "Authorization: Bearer $OPENAI_API_KEY"
import OpenAI from "openai";
const client = new OpenAI();
const item = await client.conversations.items.retrieve(
"conv_123",
"msg_abc"
);
console.log(item);
import os
from openai import OpenAI
client = OpenAI(
api_key=os.environ.get("OPENAI_API_KEY"), # This is the default and can be omitted
)
conversation_item = client.conversations.items.retrieve(
item_id="msg_abc",
conversation_id="conv_123",
)
print(conversation_item)
using System;
using OpenAI.Conversations;
OpenAIConversationClient client = new(
apiKey: Environment.GetEnvironmentVariable("OPENAI_API_KEY")
);
ConversationItem item = client.ConversationItems.Get(
conversationId: "conv_123",
itemId: "msg_abc"
);
Console.WriteLine(item.Id);
import OpenAI from 'openai';
const client = new OpenAI({
apiKey: process.env['OPENAI_API_KEY'], // This is the default and can be omitted
});
const conversationItem = await client.conversations.items.retrieve('msg_abc', {
conversation_id: 'conv_123',
});
console.log(conversationItem);
package main
import (
"context"
"fmt"
"github.com/openai/openai-go"
"github.com/openai/openai-go/conversations"
"github.com/openai/openai-go/option"
)
func main() {
client := openai.NewClient(
option.WithAPIKey("My API Key"),
)
conversationItem, err := client.Conversations.Items.Get(
context.TODO(),
"conv_123",
"msg_abc",
conversations.ItemGetParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v
", conversationItem)
}
package com.openai.example;
import com.openai.client.OpenAIClient;
import com.openai.client.okhttp.OpenAIOkHttpClient;
import com.openai.models.conversations.items.ConversationItem;
import com.openai.models.conversations.items.ItemRetrieveParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
OpenAIClient client = OpenAIOkHttpClient.fromEnv();
ItemRetrieveParams params = ItemRetrieveParams.builder()
.conversationId("conv_123")
.itemId("msg_abc")
.build();
ConversationItem conversationItem = client.conversations().items().retrieve(params);
}
}
require "openai"
openai = OpenAI::Client.new(api_key: "My API Key")
conversation_item = openai.conversations.items.retrieve("msg_abc", conversation_id: "conv_123")
puts(conversation_item)
Response
{
"type": "message",
"id": "msg_abc",
"status": "completed",
"role": "user",
"content": [
{"type": "input_text", "text": "Hello!"}
]
}